﻿$ErrorActionPreference = 'Stop';

$softVersion = '5.3.7'
$shortVersion = '5.3.7'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}


$target = Join-Path $programFiles "${packageName}-v*-Windows-${osBitness}"
rm -r -fo $target | ForEach-Object {
	      rm -r -fo $_   # Unneeded I think
	      $PathToRemove = Join-Path $_ "bin"
	      $Newpath = @{}
	      foreach ($path in [Environment]::GetEnvironmentVariable("PATH","Machine").split(';'))
	      {
		 If ($Path)
		  {
		    If (($path -ine "$PathToRemove") -AND ($path -ine "$PathToRemove\"))
		    {
		    [string[]]$Newpath += "$path"
		    }
		  }
	      }
	      $AssembledNewPath = ($newpath -join(';')).trimend(';')

	      [Environment]::SetEnvironmentVariable("PATH",$AssembledNewPath,"Machine")

	    }


$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")
$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"

$ver = ${shortVersion}.split('.')

0..$ver[0] | %{ $first = [string]$_;
0..9 | %{ $second = [string]$_;
0..$ver[2] | %{ $third = [string]$_;
	   $num = $first + "." + $second + "." + $third
	   $desktop = "${DesktopPath}/${packageName}-${osBitness} v${num}.lnk";
	   $start = "${StartPath}/${packageName}-${osBitness} v${num}.lnk";
	   if ( Test-Path -Path "${desktop}" ) {
	      Write-Host "Removing desktop '${desktop}'";
	      rm -r -fo "${desktop}";
	       };
	   if ( Test-Path -Path "${start}" )   { rm -r -fo "${start}"; };
	   }
    }
}
